Subject: Re: Zsh completion problem
From: Vikas Mishra <[email-masked]>
To: "Peter A. Castro" <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Mar 2011 19:23:46 -0700
List-Id: <cygwin.cygwin.com>

Hello Peter,

Thanks for your response.

On Thu, Mar 24, 2011 at 6:36 PM, Peter A. Castro <[email-masked]> wrote:
> On Thu, 24 Mar 2011, Vikas Mishra wrote:
>
> The ultimate cause of this particular problem was permissions on the
> "functions" directories not being to zsh's liking (ie: having write
> permission for group or other).  This was a build error on my part for
> 4.3.11-1, which was corrected in 4.3.11-2.
> (Make sure you have installed 4.3.11-2, btw :-)

I just installed this cygwin installation today and I think 4.3.11-2
was release in early January so I believe I do have the latest
version.

>
> With the permissions wrong, compinit fails to load any of the completion
> functions and ends up creating a very, very abbreviated .zcompdump file
> (less than 1k in size, versus > 30k size).

In my case, the size of zcompdump was 32KB (I had forgotten to mention
it the first time around). I have attached the zcompdump file so that
you can see if this is correct or not.

> You can tell this by looking at the .zcompdump and if it things like
> _comps() are mostly empty, then you are hitting the problem.
>
> Verify that you .zcompdump has move that a few functions in it and verify
> the permissions on all directories under /usr/share/zsh/4.3.11 are 755
> (rwxr-xr-x) and that all files under those directories are 644
> (rw-r--r--).

I rechecked the permissions on the directories and they were correct.
I have also attached the smallest version of my zshrc which still has
a problem - basically this is just "autoload -U compinit && compinit".

I installed version 4.3.10 (with the Cygwin installer and have the
same problem). Let me know if any more info will help.

Regards,
Vikas
--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple